Create User Integration Provider Connection

Retrieves user authentication information about a specific IntegrationProvider. This connection can be used for requests to Providers that require specific user data. An IntegrationProvider is the name of an external application or service that can be connected to ProjectManager.com. The Integrations API is intended for use by ProjectManager and its business development partners. Please contact ProjectManager's sales team to request use of this API.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

providerIdstringRequiredformat: "uuid"
The unique identifier of the IntegrationProvider for which you are requesting authentication information

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
This class contains the URL or AuthScheme to use to authenticate with the Integration Provider.